<?php

namespace App\Entities\ProcedimentoValor;

use App\Utils\Entity;

class ProcedimentoValor extends Entity {
	protected $id;
	protected $id_convenio_procedimento;
	protected $id_convenio;
	protected $id_procedimento;
	protected $id_unidade;
	protected $valor;
	protected $valor_interno;
	protected $valor_repasse_medico;
	protected $data_inicio;
	protected $data_fim;
	protected $status;

	public static function builder(): ProcedimentoValorBuilder {

		return (new ProcedimentoValorBuilder());

	}

    /**
     * @return mixed
     */
    public function getValorRepasseMedico()
    {
        return $this->valor_repasse_medico;
    }

    /**
     * @param mixed $valor_repasse_medico
     */
    public function setValorRepasseMedico($valor_repasse_medico): void
    {
        $this->valor_repasse_medico = $valor_repasse_medico;
    }

	/**
	 *
	 * @return mixed
	 */
	public function getId() {

		return $this->id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getId_convenio_procedimento() {

		return $this->id_convenio_procedimento;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getId_convenio() {

		return $this->id_convenio;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getId_procedimento() {

		return $this->id_procedimento;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getId_unidade() {

		return $this->id_unidade;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValor() {

		return $this->valor;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValorInterno() {

		return $this->valor_interno;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getData_inicio() {

		return $this->data_inicio;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getData_fim() {

		return $this->data_fim;

	}

	/**
	 *
	 * @param mixed $id
	 */
	public function setId($id) {

		$this->id = $id;

	}

	/**
	 *
	 * @param mixed $id_convenio_procedimento
	 */
	public function setId_convenio_procedimento($id_convenio_procedimento) {

		$this->id_convenio_procedimento = $id_convenio_procedimento;

	}

	/**
	 *
	 * @param mixed $id_convenio
	 */
	public function setId_convenio($id_convenio) {

		$this->id_convenio = $id_convenio;

	}

	/**
	 *
	 * @param mixed $id_procedimento
	 */
	public function setId_procedimento($id_procedimento) {

		$this->id_procedimento = $id_procedimento;

	}

	/**
	 *
	 * @param mixed $id_unidade
	 */
	public function setId_unidade($id_unidade) {

		$this->id_unidade = $id_unidade;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor) {

		$this->valor = $valor;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValorInterno($valorInterno) {

		$this->valor_interno = $valorInterno;

	}

	/**
	 *
	 * @param mixed $data_inicio
	 */
	public function setData_inicio($data_inicio) {

		$this->data_inicio = $data_inicio;

	}

	/**
	 *
	 * @param mixed $data_fim
	 */
	public function setData_fim($data_fim) {

		$this->data_fim = $data_fim;

	}
	/**
	 * @return mixed
	 */
	public function getStatus() {

		return $this->status;
	}


	/**
	 * @param mixed $status
	 */
	public function setStatus($status) {

		$this->status = $status;
	}



}